DeluxHostAPI Reference
Orders & renewals

Get order details

GET
/v1/orders/{id}

Authorization

apiToken orders:read
headerAuthorizationBearer <token>

A personal API token: Authorization: Bearer dh_live_…. See Authentication for scopes.

Scope: orders:read

Path Parameters

id*number

Response Body

Operation completed or accepted; asynchronous actions may still be running.

application/json
  1. response
id*number
orderNumber*number
productId*number
productSlug?string
productName?string
productType?string
projectId?null|string
label?null|string
cycle*string
status*string
priceCents*number
setupFeeCents*number
nextDueAt*string
Formatdate-time
provisioningStatus*string
provisioningModule?string
rebuildRequired?boolean
vfServerId?number
suspendReason?null|string
suspendedAt?null|string
autoCharge*boolean
cancelType?null|string
cancelRequestedAt?null|string
pendingCycle?null|string
pendingCyclePriceCents?null|number
extraIpv4Count*number
extraIpv4MonthlyCents*null|number
renewalPromotionEligible?boolean
renewalPromotionEndsAt?string
renewalPromotionTotalCents?number
renewalPromotionOriginalCents?number
prepayEnabled?boolean
prepayEligible?boolean
prepayNextDueAt?string
Formatdate-time
createdAt*string
Formatdate-time
curl -X GET 'https://api.deluxhost.net/v1/orders/0' \  -H "Authorization: Bearer $DELUXHOST_TOKEN"
Example Response
{  "id": 0,  "orderNumber": 0,  "productId": 0,  "productSlug": "string",  "productName": "string",  "productType": "string",  "projectId": null,  "label": null,  "cycle": "string",  "status": "string",  "priceCents": 0,  "setupFeeCents": 0,  "nextDueAt": "2019-08-24T14:15:22Z",  "provisioningStatus": "string",  "provisioningModule": "string",  "rebuildRequired": true,  "vfServerId": 0,  "suspendReason": null,  "suspendedAt": null,  "autoCharge": true,  "cancelType": null,  "cancelRequestedAt": null,  "pendingCycle": null,  "pendingCyclePriceCents": null,  "extraIpv4Count": 0,  "extraIpv4MonthlyCents": null,  "renewalPromotionEligible": true,  "renewalPromotionEndsAt": "string",  "renewalPromotionTotalCents": 0,  "renewalPromotionOriginalCents": 0,  "prepayEnabled": true,  "prepayEligible": true,  "prepayNextDueAt": "2019-08-24T14:15:22Z",  "createdAt": "2019-08-24T14:15:22Z"}